package ru.loparev.rmp.api

import retrofit2.Call
import retrofit2.http.Body
import retrofit2.http.Headers
import retrofit2.http.POST
import ru.loparev.rmp.models.ResponseBody
import ru.loparev.rmp.models.NewUser
import ru.loparev.rmp.models.UserLogin

interface Api {

interface  GetTokenLogIn {
    //Заголовок для отправки JSON
    @Headers("Content-Type:application/json")
    //URL и метод отправки на сервер
    @POST("login")
    //Указываем модель данных в теле запроса и модель ответа от сервера
    fun login(@Body value:UserLogin):Call<ResponseBody>

}interface  RegisterAPI {
    //Заголовок для отправки JSON
    @Headers("Content-Type:application/json")
    //URL и метод отправки на сервер
    @POST("signup")
    //Указываем модель данных в теле запроса и модель ответа от сервера
    fun singup(@Body value:NewUser):Call<ResponseBody>

}

}
